Bug 1269584 - [RFE]-Enabling SELinux Labeled NFS-ganesha Support [NEEDINFO]
[RFE]-Enabling SELinux Labeled NFS-ganesha Support
Status: ASSIGNED
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: nfs-ganesha (Show other bugs)
3.1
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Kaleb KEITHLEY
storage-qa-internal@redhat.com
: FutureFeature, ZStream
Depends On:
Blocks: 1369781 1408949 RHGS-3.4-GSS-proposed-tracker
  Show dependency treegraph
 
Reported: 2015-10-07 11:33 EDT by Bipin Kunal
Modified: 2017-09-28 13:02 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kkeithle: needinfo? (asrivast)


Attachments (Terms of Use)

  None (edit)
Description Bipin Kunal 2015-10-07 11:33:46 EDT
Description of problem:

Enabling SELinux Labeled NFS Support is already available with NFS v4.2 but 
nfs-ganesha still doesn't support SELinux labeling.

I think this feature would be of the need as SELinux labeling is even not support with gluster-fuse or fuse and not possible even in near future.

With SELinux labeling support with nfs-ganesha, user can use and add security.
Comment 3 Jiffin 2015-12-15 04:07:14 EST
The first patch for supporting extended attribute(getxattr, setxattr, listxattr etc) got merged upstream nfs-ganesha https://review.gerrithub.io/#/c/254070/
Comment 4 Niels de Vos 2016-01-28 05:55:35 EST
Some work is needed in Gluster too:

  http://thread.gmane.org/gmane.comp.file-systems.gluster.devel/13071
Comment 5 Sayan Saha 2016-02-08 10:43:33 EST
Not needed for RHGS 3.1.3
Comment 6 Kaleb KEITHLEY 2016-06-20 08:07:17 EDT
needs to be implemented in upstream
Comment 8 Kaleb KEITHLEY 2017-08-23 08:09:41 EDT
still don't have the plumbing necessary to do this.

Note You need to log in before you can comment on or make changes to this bug.